Do not speak Portuguese? Translate this site with Google or Bing Translator

Kernel do Ubuntu atualizado para corrigir falhas de desvio do Secure Boot

A Canonical informou que publicou um Kernel do Ubuntu atualizado para corrigir falhas de desvio do Secure Boot. Confira os detalhes e atualize.

Além de ser o núcleo do sistema, o kernel também é a parte mais suscetível a falhas pois tem acesso direto a tudo. Por isso, a Canonical investe alto na atualização dessa parte do sistema.

Agora, a Canonical publicou novos kernels do Ubuntu para todas as versões suportadas do Ubuntu, para corrigir falhas de desvio do Secure Boot e outras vulnerabilidades de segurança.

Kernel do Ubuntu atualizado para corrigir falhas de desvio do Secure Boot

Kernel do Ubuntu atualizado para corrigir falhas de desvio do Secure Boot
Kernel do Ubuntu atualizado para corrigir falhas de desvio do Secure Boot

Disponível para o Ubuntu 20.04 LTS (Focal Fossa), Ubuntu 18.04 LTS (Bionic Beaver) e Ubuntu 16.04 LTS (Xenial Xerus), as novas atualizações do kernel Linux estão aqui para solucionar duas vulnerabilidades (CVE-2019-20908 e CVE-2020-15780 ) descoberto por Jason A. Donenfeld na implementação da ACPI, que pode permitir que um invasor privilegiado ignore as restrições de bloqueio do Secure Boot e execute código arbitrário no kernel.

O CVE-2019-20908 afeta os kernels do Linux 4.15 nos sistemas Ubuntu 18.04 LTS e Ubuntu 16.04.6 LTS, bem como o kernel Linux 4.4 dos sistemas Ubuntu 16.04 LTS e Ubuntu 14.04 ESM. Por outro lado, o CVE-2020-15780 afeta os kernels Linux 5.4 nos sistemas Ubuntu 20.04 LTS e Ubuntu 18.04.3 LTS, bem como o kernel Linux 4.15 nos sistemas Ubuntu 18.04 LTS e Ubuntu 16.04.6 LTS.

Outra vulnerabilidade (CVE-2020-11935) corrigida nesta atualização de segurança está afetando todas as versões e kernels suportados do Ubuntu e pode permitir que um invasor local cause uma negação de serviço.

O problema foi descoberto por Mauricio Faria de Oliveira na implementação AUFS do kernel do Linux.

Nos sistemas Ubuntu 20.04 LTS e Ubuntu 18.04.3 LTS executando o kernel Linux 5.4, o patch de segurança também corrige o CVE-2019-16089 e o CVE-2019-19462, dois problemas descobertos na implementação do dispositivo de bloco de rede (nbd) e no kernel-> implementação da retransmissão de espaço do usuário, respectivamente, o que poderia permitir que um invasor travasse o sistema causando uma negação de serviço.

Uma importante vulnerabilidade de segurança (CVE-2020-10757) também foi corrigida nos sistemas Ubuntu 18.04 LTS e Ubuntu 16.04.6 LTS executando o kernel Linux 4.15.

A falha foi descoberta por Fan Yang na implementação do mremap do kernel do Linux, que falhou ao lidar com DAX Huge Pages, permitindo que um invasor local com acesso ao armazenamento DAX ganhasse privilégios administrativos.

   

Por último, mas não menos importante, os sistemas Ubuntu 16.04 LTS que executam o kernel Linux 4.4 foram afetados por várias outras vulnerabilidades, incluindo CVE-2020-10766, CVE-2020-10767 e CVE-2020-10768, que fizeram com que o kernel do Linux aplicasse incorretamente atenuações para especulações.

Vulnerabilidades de Desvio de desvio de armazenamento (SSBD), Barreira preditor de filial indireta (IBPB) e Especificação restrita de filial indireta (IBRS). Esses problemas de segurança podem permitir que um invasor local exponha informações confidenciais.

Também são corrigidas as falhas descobertas no driver CAN/USB Kvaser (CVE-2019-19947), driver de dispositivo de áudio USB go7007 (CVE-2019-20810), código de manuseio de elf (CVE-2020-10732), driver de teclado do Terminal Virtual (CVE)-2020-13974) e subsistema EFI (CVE-2019-12380).

Isso pode permitir que invasores locais causem uma negação de serviço (falha no sistema) ou possivelmente exponham informações confidenciais (memória do kernel).

Todos os usuários do Ubuntu são convidados a atualizar seus sistemas o mais rápido possível para as novas versões do kernel Linux, linux-image 5.4.0-30.34 para Ubuntu 20.04 LTS, linux-image 5.4.0-42.46~18.04.1 para Ubuntu 18.04.3 LTS, linux-image 4.15.0-112.113 para Ubuntu 18.04 LTS e linux-image 4.4.0-186.216 para Ubuntu 16.04 LTS.

Para atualizar, basta executar o utilitário Atualizador de Software e aplicar todas as atualizações disponíveis ou usar o comando abaixo em uma janela do terminal.
sudo apt-get update && sudo apt-get full-upgrade

Lembre-se de reiniciar seus computadores após instalar as novas versões do kernel Linux, bem como de recompilar e reinstalar quaisquer módulos de kernel de terceiros que você possa ter instalado.

O que está sendo falado no blog

Veja mais artigos publicados neste dia…

Compartilhe:
Sobre o Edivaldo Brito

Edivaldo Brito é analista de sistemas, gestor de TI, blogueiro e também um grande fã de sistemas operacionais, banco de dados, software livre, redes, programação, dispositivos móveis e tudo mais que envolve tecnologia.